Author Topic: The 24 April 2007 build is out.  (Read 22205 times)

Offline diilbert

  • Multiple posting newcomer
  • *
  • Posts: 26
Re: The 24 April 2007 build is out.
« Reply #30 on: April 26, 2007, 04:27:52 am »
Still build problems with wxGTK 2.8.0.

Code: [Select]
wx_gtk2u-2.8
gtk 2.10.6
Debian 4.0
Code:Blocks SVN 3887

Here is the new batch of errors from codesnippets.cpp

Code: [Select]
g++ -DHAVE_CONFIG_H -I. -I. -I../../../../src/include -I/usr/lib/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D_LARGEFILE_SOURCE=1 -D__WXGTK__ -pthread -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I../../../../src/include -I../../../../src/include/wxscintilla/include -I../../../../src/include/wxFlatNotebook/include -Ulinux -Uunix -O2 -ffast-math -g -O2 -DCB_PRECOMP -Winvalid-pch -fPIC -DPIC -fexceptions -MT codesnippets.lo -MD -MP -MF .deps/codesnippets.Tpo -c codesnippets.cpp  -fPIC -DPIC -o .libs/codesnippets.o
codesnippets.cpp: In member function 'void CodeSnippets::OnTreeCtrlEvent(wxTreeEvent&)':
codesnippets.cpp:854: error: 'GDK_WINDOW_XDISPLAY' was not declared in this scope
codesnippets.cpp:855: error: 'None' was not declared in this scope
codesnippets.cpp:856: error: 'GDK_WINDOW_XID' was not declared in this scope
codesnippets.cpp:858: error: 'XWarpPointer' was not declared in this scope
make[5]: *** [codesnippets.lo] Error 1
make[5]: Leaving directory `/home/hillsro/svn/codeblocks/src/plugins/contrib/codesnippets'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory `/home/hillsro/svn/codeblocks/src/plugins/contrib/codesnippets'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/home/hillsro/svn/codeblocks/src/plugins/contrib'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/hillsro/svn/codeblocks/src/plugins'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/hillsro/svn/codeblocks/src'
make: *** [all-recursive] Error 1



This might help:
http://forums.codeblocks.org/index.php/topic,5754.msg44104.html#msg44104

Fixed one problem.

Still have another:
 
Code: [Select]
g++ -DHAVE_CONFIG_H -I. -I. -I../../../../../../src/include -I/usr/lib/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D_LARGEFILE_SOURCE=1 -D__WXGTK__ -pthread -I../../../../../../src/include -I../../../../../../src/include/wxFlatNotebook/include -I../../../../../../src/include/wxscintilla/include -I../../../../../../src/include/wxFlatNotebook -I../../../../../../src/include/propgrid/include -DWXMAKINGLIB_PROPGRID -DwxPG_COMPATIBILITY_1_0_0 -Ulinux -Uunix -O2 -ffast-math -g -O2 -DCB_PRECOMP -Winvalid-pch -fPIC -DPIC -fexceptions -MT wxsnotebook.lo -MD -MP -MF .deps/wxsnotebook.Tpo -c ./wxsnotebook.cpp  -fPIC -DPIC -o .libs/wxsnotebook.o ./wxsnotebook.cpp: In function 'const wxsStyleSet*<unnamed>::GetwxsNotebookStyle sStyleSet()':
./wxsnotebook.cpp:166: error: 'wxNB_DEFAULT' was not declared in this scope
./wxsnotebook.cpp:167: error: 'wxNB_LEFT' was not declared in this scope
./wxsnotebook.cpp:168: error: 'wxNB_RIGHT' was not declared in this scope
./wxsnotebook.cpp:169: error: 'wxNB_TOP' was not declared in this scope
./wxsnotebook.cpp:170: error: 'wxNB_BOTTOM' was not declared in this scope
./wxsnotebook.cpp:171: error: 'wxNB_FIXEDWIDTH' was not declared in this scope
./wxsnotebook.cpp:172: error: 'wxNB_MULTILINE' was not declared in this scope
./wxsnotebook.cpp:173: error: 'wxNB_NOPAGETHEME' was not declared in this scope
./wxsnotebook.cpp:175: error: 'wxNB_FLAT' was not declared in this scope
./wxsnotebook.cpp: In member function 'virtual wxObject* wxsNotebook::OnBuildPreview(wxWindow*, long int)':
./wxsnotebook.cpp:236: error: 'wxNotebook' was not declared in this scope
./wxsnotebook.cpp:236: error: 'Notebook' was not declared in this scope
./wxsnotebook.cpp:236: error: expected type-specifier before 'wxNotebook'
./wxsnotebook.cpp:236: error: expected `;' before 'wxNotebook'
./wxsnotebook.cpp: In member function 'virtual bool wxsNotebook::OnMouseClick(wxWindow*, int, int)':
./wxsnotebook.cpp:304: error: 'wxNotebook' was not declared in this scope
./wxsnotebook.cpp:304: error: 'Notebook' was not declared in this scope
./wxsnotebook.cpp:304: error: expected primary-expression before ')' token
./wxsnotebook.cpp:304: error: expected `;' before 'Preview'
make[6]: *** [wxsnotebook.lo] Error 1
make[6]: Leaving directory `/home/hillsro/svn/codeblocks/src/plugins/contrib/wxSmith/wxwidgets/defitems'
make[5]: *** [all-recursive] Error 1
make[5]: Leaving directory `/home/hillsro/svn/codeblocks/src/plugins/contrib/wxSmith/wxwidgets'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory `/home/hillsro/svn/codeblocks/src/plugins/contrib/wxSmith'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/home/hillsro/svn/codeblocks/src/plugins/contrib'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/hillsro/svn/codeblocks/src/plugins'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/hillsro/svn/codeblocks/src'
make: *** [all-recursive] Error 1

Online stahta01

  • Lives here!
  • ****
  • Posts: 6671
    • My Best Post
Re: The 24 April 2007 build is out.
« Reply #31 on: April 26, 2007, 10:22:07 pm »
diilbert: Is your wxWidgets complied with 2.6 mode enabled? If not, then try it with 2.6 mode enabled.

Do not use --disable-compat26, try using --enable-compat26 if removing --disable-compat26 is not enough.

This should result in the setup.h having WXWIN_COMPATIBILITY_2_6=1 in Windows, might not use the same method in Linux or Mac.

Tim S

C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline diilbert

  • Multiple posting newcomer
  • *
  • Posts: 26
Re: The 24 April 2007 build is out.
« Reply #32 on: April 27, 2007, 04:54:39 am »
diilbert: Is your wxWidgets complied with 2.6 mode enabled? If not, then try it with 2.6 mode enabled.

Do not use --disable-compat26, try using --enable-compat26 if removing --disable-compat26 is not enough.

This should result in the setup.h having WXWIN_COMPATIBILITY_2_6=1 in Windows, might not use the same method in Linux or Mac.

Tim S


Well I tried --enable-compat26 and rebuilding wxGTK & C::B w/o success.

Any other thoughts ?

Offline kurapix

  • Multiple posting newcomer
  • *
  • Posts: 68
Re: The 24 April 2007 build is out.
« Reply #33 on: April 27, 2007, 06:06:14 am »
Hi,

I still have the same problem, I just can't build Code::Blocks from svn.
I do :
Code: [Select]
./bootstrap
./configure
make
Then I have the same log as before.
Code: [Select]
Making all in src
make[1]: entrant dans le répertoire « /home/kurapix/devel/CodeBlocks/trunk/src »
Making all in base
make[2]: entrant dans le répertoire « /home/kurapix/devel/CodeBlocks/trunk/src/base »
Making all in tinyxml
make[3]: entrant dans le répertoire « /home/kurapix/devel/CodeBlocks/trunk/src/base/tinyxml »
/bin/bash ../../../libtool --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H -I. -I../../../src/include -I/usr/lib/wx/include/gtk2-unicode-release-2.6 -I/usr/include/wx-2.6 -DGTK_NO_CHECK_CASTS -D__WXGTK__ -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -DNO_GCC_PRAGMA   -I../../../src/include/wxscintilla/include -I../../../src/include -I../../../src/include/tinyxml  -Ulinux -Uunix  -O2 -ffast-math -g -O2 -DCB_PRECOMP -Winvalid-pch -fPIC -DPIC -fexceptions -MT tinystr.lo -MD -MP -MF .deps/tinystr.Tpo -c -o tinystr.lo tinystr.cpp
 g++ -DHAVE_CONFIG_H -I. -I../../../src/include -I/usr/lib/wx/include/gtk2-unicode-release-2.6 -I/usr/include/wx-2.6 -DGTK_NO_CHECK_CASTS -D__WXGTK__ -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -DNO_GCC_PRAGMA -I../../../src/include/wxscintilla/include -I../../../src/include -I../../../src/include/tinyxml -Ulinux -Uunix -O2 -ffast-math -g -O2 -DCB_PRECOMP -Winvalid-pch -fPIC -DPIC -fexceptions -MT tinystr.lo -MD -MP -MF .deps/tinystr.Tpo -c tinystr.cpp  -fPIC -DPIC -o .libs/tinystr.o
tinystr.cpp:51: error: 'ake' does not name a type
make[3]: *** [tinystr.lo] Erreur 1
make[3]: quittant le répertoire « /home/kurapix/devel/CodeBlocks/trunk/src/base/tinyxml »
make[2]: *** [all-recursive] Erreur 1
make[2]: quittant le répertoire « /home/kurapix/devel/CodeBlocks/trunk/src/base »
make[1]: *** [all-recursive] Erreur 1
make[1]: quittant le répertoire « /home/kurapix/devel/CodeBlocks/trunk/src »
make: *** [all-recursive] Erreur 1

Under Code::Blocks, when I try to compile with the project file : "Code::Blocks-unix.cbp", it just doesn't work, I have those errors :
Code: [Select]
tinystr.cpp line 39 : attention : messing braces around initializer for 'char[1]'
tinystr.cpp line 51 : error : 'ake' does not name a type

My config :
Code: [Select]
Ubuntu 7.04 : "Feisty Fawn"
wx2.6 and wx2.8 (runtime and dev, ubuntu packages)
GCC 4.1.2
Code::Blocks 3895 sources

Thanks in advance for your answers.

Kurapix
Code::Blocks package building script

Offline cstudent

  • Almost regular
  • **
  • Posts: 159
    • Cstudent's Help Desk
Re: The 24 April 2007 build is out.
« Reply #34 on: April 27, 2007, 12:36:23 pm »
Kurapix, do you have the following packages installed?

autotools-dev, libc6-dev, libstdc++6-4.1-dev, libwxgtk2.6-dev, wx-common, libgtk2.0-dev, zip, pkg-config, subversion

Offline diilbert

  • Multiple posting newcomer
  • *
  • Posts: 26
Re: The 24 April 2007 build is out.
« Reply #35 on: April 27, 2007, 02:11:53 pm »
I am thinking that if the make is failing on tinyXML, you are definitely missing some standard package of some kind ;)

Offline kurapix

  • Multiple posting newcomer
  • *
  • Posts: 68
Re: The 24 April 2007 build is out.
« Reply #36 on: April 28, 2007, 03:35:20 am »
Thanks for your answers.

Yes I have all those packages installed cstudent.
I'm probably missing something like dillbert said but don't know what.

Kurapix
Code::Blocks package building script